Loading...
Searching...
No Matches
Dune::GridGlue::IntersectionIndexSet< P0, P1 > Class Template Reference

`#include <dune/grid-glue/adapter/intersectionindexset.hh>`

## Public Types

typedef GridGlue::IndexType | IndexType
| The type used for the indices.
typedef size_t | SizeType
| The type used for the size.

## Public Member Functions

template<int I, int O>
IndexType | index (const Intersection< P0, P1, I, O > &i) const
| Map Dune::GridGlue::Intersection to index.
SizeType | size () const
| Return total number of intersections.

## Friends

class | ::Dune::GridGlue::GridGlue< P0, P1 >

## Member Typedef Documentation

## IndexType

template<typename P0, typename P1>

typedef GridGlue::IndexType Dune::GridGlue::IntersectionIndexSet< P0, P1 >::IndexType

The type used for the indices.

## SizeType

template<typename P0, typename P1>

typedef size_t Dune::GridGlue::IntersectionIndexSet< P0, P1 >::SizeType

The type used for the size.

## Member Function Documentation

## index()

template<typename P0, typename P1>
template<int I, int O>

IndexType Dune::GridGlue::IntersectionIndexSet< P0, P1 >::index | ( | const Intersection< P0, P1, I, O > & | i | ) | const

inline

Map Dune::GridGlue::Intersection to index.

## size()

template<typename P0, typename P1>

SizeType Dune::GridGlue::IntersectionIndexSet< P0, P1 >::size | ( |  | ) | const

inline

Return total number of intersections.

## Friends And Related Symbol Documentation

## ::Dune::GridGlue::GridGlue< P0, P1 >

template<typename P0, typename P1>

friend class ::Dune::GridGlue::GridGlue< P0, P1 >

friend

The documentation for this class was generated from the following files:

- gridglue.hh
- intersectionindexset.hh